/* Visits each activity node and registers the corresponding trigger.
 * This is necessary after starting the DSS to make sure the triggers are configured properly. */
function updateActivityTriggers()
{
	for (var activityTypeName in ActivityTypes)
	{
		var activityType = ActivityTypes[activityTypeName];

		var baseActivityNode = Property.getNode(activityType);
		if (!baseActivityNode)
		{
			lInfo.logln("updateActivityTriggers: found no subnode for activities of type " + activityType);
			continue;
		}

		var children = baseActivityNode.getChildren();
		lInfo.logln("updateActivityTriggers: found " + String(children.length) + " activities of type " + activityType);

		for (var i = 0; i < children.length; ++i)
		{
			var child = children[i];
			var activityID = child.getName();
			lInfo.logln("updateActivityTriggers: registering trigger for activity of type " + activityType + " with ID " + activityID);

			registerTrigger(child.getPath(), "hueController.handleTrigger", { });
		}
	}

//	Property.setProperty("preset/predefined/dimming/placeholder", "placeholder");
	Property.setProperty("preset/predefined/off/placeholder", "placeholder");
//	registerTrigger(Property.getNode("preset/predefined/dimming").getPath(), "hueController.handleDimming", { });
	registerTrigger(Property.getNode("preset/predefined/off").getPath(), "hueController.handleOff", { });
}




/* main event handling */


if (raisedEvent.name == 'running')
{
	Property.load();
	try
	{
		updateActivityTriggers();
	}
	catch (err)
	{
		lWarn.logln('Error while updating triggers: ' + String(err));
	}
}


